Subject: Re: [PATCH v3] ARM: replace setup_irq() by request_irq()

From: afzal mohammed <[email-masked]>
Date: Wed, 25 Mar 2020 17:13:32 +0530

Hi arm-soc maintainers,

On Tue, Mar 17, 2020 at 10:07:02AM +0530, afzal mohammed wrote:

> + [email-masked], [email-masked],
> in case it helps to reduce the chances of below mail getting slipped
> thr' the cracks.

> On Fri, Mar 13, 2020 at 09:15:20PM +0530, afzal mohammed wrote:

> > Hi Olof, Arnd,
> > 
> > This is regarding cleanup of setup_irq() usages & replacing it w/
> > request_irq(). Earlier it was sent as single series spanning all
> > architectures & drivers, later Thomas Gleixner suggested [1] to take it
> > thr' relevant maintainers. As for ARM, there is an additional layer of
> > sub-architecture maintainers, for ARM, patches were sent to relevant
> > subsystem maintainers & mailing list, all copied to LAKML as well.
:
:
> > Of this,
> > (1) OMAP, (2) ebsa110 & (3) rpc are already in linux-next.
> > (4) footbridge (Russell) - there was a build warning, so he dropped
> > after applying to his tree, i have submitted the newer fixed version in
> > his patch system.
> > (5) orion - Andrew has given Reviewed-by & Gregory mentioned that he will
> > take care of it.
> > So if things goes as expected 1 & 5 will be coming to you thr' sub-arch
> > maintainers, while 2-4 directly via Russell

footbridge & orion went into -next around a week back

> > Now we are left with five (6-10),
> > (6) ep93xx - Alexander has given Acked-by & mentioned to take thr' Arnd
> > (7) spear - Viresh has given Acked-by & mentioned to take it thr' Arnd
> > (8) cns3xxx - Krzysztof has given Acked-by (though not copied to lists,
> > he has been cc'ed here)
> > (9) mmp - Lubomir has given Acked-by & Tested-by & mentioned to get it
> > thr' Olof
> > (10) iop32xx - per get_mantainer, an orphan
> > 
> > Can you please include the patches 6-10 directly into the armsoc tree ?,
> > Let me know if anything needs to be done from my side.

Can you please consider for inclusion the above 5 patches.

Sorry for pestering, i understand that none of the ARM SoC pull requests
has been picked up as opposed to what happens normally by this time of
development cycle. Still asking as this is part of tree wide series &
it is safe to send core removal patch of setup_irq() to Thomas only
after all it's usages have been removed.

REgards
afzal

> > [1] https://lkml.kernel.org/r/[email-masked]

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel